#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAD,0x34,0x3A,0xBE,0x89,0xEC,0xAB,0x20,0x74,0xE5,0xE6,0xD4,
		0x0F,0xB1,0xDE,0x62,0x47,0x38,0xAE,0x61,0x12,0x55,0xF1,0x84,
		0x5F,0x42,0x5C,0x80,0xF4,0x6C,0xE4,0x65,0xC8,0x09,0x7C,0xFE,
		0x76,0xEC,0x8C,0x9C,0x5D,0xF1,0x23,0x04,0x79,0x37,0x47,0x76,
		0x28,0x2A,0xDC,0x2A,0xA0,0xFE,0xE6,0xAE,0x07,0xA5,0xCE,0x61,
		0xBC,0x71,0x17,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
